Bukkit, CraftBukkit & Spigot 1.8

Discussion in 'News and Announcements' started by md_5, Nov 28, 2014.

Thread Status:
Not open for further replies.
  1. Woo! Spigot is honestly the best one out there. Community alike.
     
    • Optimistic Optimistic x 1
  2. I have got a question:
    I tried to set a custom quit message, but it is always white!

    That's a part of my code:

    Code (Text):

    public class PlayerJoinQuitEvent implements Listener {
       public static Plugin plugin;

       public PlayerJoinQuitEvent(Plugin plugin){
         PlayerListenerClick.plugin = plugin;
       }

      @EventHandler
       public void onJoin(PlayerJoinEvent event) {
         Player player = (Player)event.getPlayer();
         event.setJoinMessage(ChatColor.GRAY + "[" + ChatColor.GREEN + "+" + ChatColor.GRAY + "] " + ChatColor.GRAY + player.getDisplayName());
       }

       @EventHandler
       public void onQuit(PlayerQuitEvent event) {
         Player player = (Player)event.getPlayer();
         event.setQuitMessage(ChatColor.GRAY + "[" + ChatColor.RED + "-" + ChatColor.GRAY + "] " + ChatColor.GRAY + player.getDisplayName());
       }
    }
     
    The join message works like it should, but the quit message is completely white!
    Thanks in advance!
     
    #2602 Hackbaellchen, Feb 26, 2015
    Last edited: Feb 26, 2015
  3. Lovely! Thanks
     
  4. So if I wanted to use the essentials for 1.8 which files do I need to grab specifically?
     
  5. Great work, md_5 & to the rest of the spigot team. I donated $10 to the cause. Keep up the excellent work! :-D
     
  6. Amazing you're the best spigot developers !
     
  7. Where can I find build 1649 and higher?
     
  8. Always coding in spigot now, spigot is the way forward!
     
  9. Thanks for everything :)
     
  10. I'm having a hard time locating a update to BuildTools, did they stop updating the site?
     
  11. md_5

    Administrator Developer

    By hard time you mean you can't click the link listed in the thread, nor the download tab at the top of the forums, nor use google?
     
  12. Buildtool itself is not updated. Just run Buildtools as usually. "java -jar Buildtools.jar"
     
  13. i downloaded spigot 1.8 latest version is there away to allow 1.7 to join still
     
  14. You need a protocol hack build for this.
     
  15. can i still be on 1.8 spigot and have the protocolhack
     
Thread Status:
Not open for further replies.